## org.eclipse.emf.ocl.expressions.util
Class ExpressionsSwitch

    java.lang.Object
      org.eclipse.emf.ocl.expressions.util.ExpressionsSwitch

Deprecated. Use the `ExpressionsSwitch` class, instead.

    @Deprecated
    public class ExpressionsSwitch

extends Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `ExpressionsPackage`

Field Summary
`static String` `copyright` Deprecated.
`protected static ExpressionsPackage` `modelPackage` Deprecated. The cached model package

Constructor Summary
`ExpressionsSwitch()` Deprecated. Creates an instance of the switch

Method Summary
`Object` `caseAssociationClassCallExp(AssociationClassCallExp object)` Deprecated. Returns the result of interpretting the object as an instance of 'Association Class Call Exp'
`Object` `caseASTNode(ASTNode object)` Deprecated. Returns the result of interpretting the object as an instance of 'AST Node'
`Object` `caseBooleanLiteralExp(BooleanLiteralExp object)` Deprecated. Returns the result of interpretting the object as an instance of 'Boolean Literal Exp'
`Object` `caseCallExp(CallExp object)` Deprecated. Returns the result of interpretting the object as an instance of 'Call Exp'
`Object` `caseCallingASTNode(CallingASTNode object)` Deprecated. Returns the result of interpretting the object as an instance of 'Calling AST Node'
`Object` `caseCollectionItem(CollectionItem object)` Deprecated. Returns the result of interpretting the object as an instance of 'Collection Item'
`Object` `caseCollectionLiteralExp(CollectionLiteralExp object)` Deprecated. Returns the result of interpretting the object as an instance of 'Collection Literal Exp'
`Object` `caseCollectionLiteralPart(CollectionLiteralPart object)` Deprecated. Returns the result of interpretting the object as an instance of 'Collection Literal Part'
`Object` `caseCollectionRange(CollectionRange object)` Deprecated. Returns the result of interpretting the object as an instance of 'Collection Range'
`Object` `caseEModelElement(EModelElement object)` Deprecated. Returns the result of interpretting the object as an instance of 'EModel Element'
`Object` `caseENamedElement(ENamedElement object)` Deprecated. Returns the result of interpretting the object as an instance of 'ENamed Element'
`Object` `caseEnumLiteralExp(EnumLiteralExp object)` Deprecated. Returns the result of interpretting the object as an instance of 'Enum Literal Exp'
`Object` `caseFeatureCallExp(FeatureCallExp object)` Deprecated. Returns the result of interpretting the object as an instance of 'Feature Call Exp'
`Object` `caseIfExp(IfExp object)` Deprecated. Returns the result of interpretting the object as an instance of 'If Exp'
`Object` `caseIntegerLiteralExp(IntegerLiteralExp object)` Deprecated. Returns the result of interpretting the object as an instance of 'Integer Literal Exp'
`Object` `caseInvalidLiteralExp(InvalidLiteralExp object)` Deprecated. Returns the result of interpretting the object as an instance of 'Invalid Literal Exp'
`Object` `caseIterateExp(IterateExp object)` Deprecated. Returns the result of interpretting the object as an instance of 'Iterate Exp'
`Object` `caseIteratorExp(IteratorExp object)` Deprecated. Returns the result of interpretting the object as an instance of 'Iterator Exp'
`Object` `caseLetExp(LetExp object)` Deprecated. Returns the result of interpretting the object as an instance of 'Let Exp'
`Object` `caseLiteralExp(LiteralExp object)` Deprecated. Returns the result of interpretting the object as an instance of 'Literal Exp'
`Object` `caseLoopExp(LoopExp object)` Deprecated. Returns the result of interpretting the object as an instance of 'Loop Exp'
`Object` `caseMessageExp(MessageExp object)` Deprecated. Returns the result of interpretting the object as an instance of 'Message Exp'
`Object` `caseNavigationCallExp(NavigationCallExp object)` Deprecated. Returns the result of interpretting the object as an instance of 'Navigation Call Exp'
`Object` `caseNullLiteralExp(NullLiteralExp object)` Deprecated. Returns the result of interpretting the object as an instance of 'Null Literal Exp'
`Object` `caseNumericLiteralExp(NumericLiteralExp object)` Deprecated. Returns the result of interpretting the object as an instance of 'Numeric Literal Exp'
`Object` `caseOCLExpression(OCLExpression object)` Deprecated. Returns the result of interpretting the object as an instance of 'OCL Expression'
`Object` `caseOperationCallExp(OperationCallExp object)` Deprecated. Returns the result of interpretting the object as an instance of 'Operation Call Exp'
`Object` `casePrimitiveLiteralExp(PrimitiveLiteralExp object)` Deprecated. Returns the result of interpretting the object as an instance of 'Primitive Literal Exp'
`Object` `casePropertyCallExp(PropertyCallExp object)` Deprecated. Returns the result of interpretting the object as an instance of 'Property Call Exp'
`Object` `caseRealLiteralExp(RealLiteralExp object)` Deprecated. Returns the result of interpretting the object as an instance of 'Real Literal Exp'
`Object` `caseStateExp(StateExp object)` Deprecated. Returns the result of interpretting the object as an instance of 'State Exp'
`Object` `caseStringLiteralExp(StringLiteralExp object)` Deprecated. Returns the result of interpretting the object as an instance of 'String Literal Exp'
`Object` `caseTupleLiteralExp(TupleLiteralExp object)` Deprecated. Returns the result of interpretting the object as an instance of 'Tuple Literal Exp'
`Object` `caseTupleLiteralPart(TupleLiteralPart object)` Deprecated. Returns the result of interpretting the object as an instance of 'Tuple Literal Part'
`Object` `caseTypedASTNode(TypedASTNode object)` Deprecated. Returns the result of interpretting the object as an instance of 'Typed AST Node'
`Object` `caseTypedElement(TypedElement object)` Deprecated. Returns the result of interpretting the object as an instance of 'Typed Element'
`Object` `caseTypeExp(TypeExp object)` Deprecated. Returns the result of interpretting the object as an instance of 'Type Exp'
`Object` `caseUnspecifiedValueExp(UnspecifiedValueExp object)` Deprecated. Returns the result of interpretting the object as an instance of 'Unspecified Value Exp'
`Object` `caseVariable(Variable object)` Deprecated. Returns the result of interpretting the object as an instance of 'Variable'
`Object` `caseVariableExp(VariableExp object)` Deprecated. Returns the result of interpretting the object as an instance of 'Variable Exp'
`Object` `caseVisitable(Visitable object)` Deprecated. Returns the result of interpretting the object as an instance of 'Visitable'
`Object` `defaultCase(EObject object)` Deprecated. Returns the result of interpretting the object as an instance of 'EObject'
`protected Object` `doSwitch(EClass theEClass, EObject theEObject)` Deprecated. Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`Object` `doSwitch(EObject theEObject)` Deprecated. Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`protected Object` `doSwitch(int classifierID, EObject theEObject)` Deprecated. Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### copyright

    public static final String copyright

  Deprecated.

  See Also:
    Constant Field Values

### modelPackage

    protected static ExpressionsPackage modelPackage

  Deprecated.
  The cached model package

Constructor Detail

### ExpressionsSwitch

    public ExpressionsSwitch()

  Deprecated.
  Creates an instance of the switch.

Method Detail

### doSwitch

    public Object doSwitch(EObject theEObject)

  Deprecated.
  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### doSwitch

    protected Object doSwitch(EClass theEClass,
                              EObject theEObject)

  Deprecated.
  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### doSwitch

    protected Object doSwitch(int classifierID,
                              EObject theEObject)

  Deprecated.
  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### casePropertyCallExp

    public Object casePropertyCallExp(PropertyCallExp object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Property Call Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Property Call Exp'.
  See Also:
    `doSwitch(EObject)`

### caseBooleanLiteralExp

    public Object caseBooleanLiteralExp(BooleanLiteralExp object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Boolean Literal Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Boolean Literal Exp'.
  See Also:
    `doSwitch(EObject)`

### caseCollectionItem

    public Object caseCollectionItem(CollectionItem object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Collection Item'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Collection Item'.
  See Also:
    `doSwitch(EObject)`

### caseCollectionLiteralExp

    public Object caseCollectionLiteralExp(CollectionLiteralExp object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Collection Literal Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Collection Literal Exp'.
  See Also:
    `doSwitch(EObject)`

### caseCollectionLiteralPart

    public Object caseCollectionLiteralPart(CollectionLiteralPart object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Collection Literal Part'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Collection Literal Part'.
  See Also:
    `doSwitch(EObject)`

### caseCollectionRange

    public Object caseCollectionRange(CollectionRange object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Collection Range'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Collection Range'.
  See Also:
    `doSwitch(EObject)`

### caseIfExp

    public Object caseIfExp(IfExp object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'If Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'If Exp'.
  See Also:
    `doSwitch(EObject)`

### caseIntegerLiteralExp

    public Object caseIntegerLiteralExp(IntegerLiteralExp object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Integer Literal Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Integer Literal Exp'.
  See Also:
    `doSwitch(EObject)`

### caseIterateExp

    public Object caseIterateExp(IterateExp object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Iterate Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Iterate Exp'.
  See Also:
    `doSwitch(EObject)`

### caseIteratorExp

    public Object caseIteratorExp(IteratorExp object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Iterator Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Iterator Exp'.
  See Also:
    `doSwitch(EObject)`

### caseLetExp

    public Object caseLetExp(LetExp object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Let Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Let Exp'.
  See Also:
    `doSwitch(EObject)`

### caseLiteralExp

    public Object caseLiteralExp(LiteralExp object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Literal Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Literal Exp'.
  See Also:
    `doSwitch(EObject)`

### caseLoopExp

    public Object caseLoopExp(LoopExp object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Loop Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Loop Exp'.
  See Also:
    `doSwitch(EObject)`

### caseFeatureCallExp

    public Object caseFeatureCallExp(FeatureCallExp object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Feature Call Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Feature Call Exp'.
  See Also:
    `doSwitch(EObject)`

### caseNavigationCallExp

    public Object caseNavigationCallExp(NavigationCallExp object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Navigation Call Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Navigation Call Exp'.
  See Also:
    `doSwitch(EObject)`

### caseNumericLiteralExp

    public Object caseNumericLiteralExp(NumericLiteralExp object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Numeric Literal Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Numeric Literal Exp'.
  See Also:
    `doSwitch(EObject)`

### caseOperationCallExp

    public Object caseOperationCallExp(OperationCallExp object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Operation Call Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Operation Call Exp'.
  See Also:
    `doSwitch(EObject)`

### casePrimitiveLiteralExp

    public Object casePrimitiveLiteralExp(PrimitiveLiteralExp object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Primitive Literal Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Primitive Literal Exp'.
  See Also:
    `doSwitch(EObject)`

### caseCallExp

    public Object caseCallExp(CallExp object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Call Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Call Exp'.
  See Also:
    `doSwitch(EObject)`

### caseRealLiteralExp

    public Object caseRealLiteralExp(RealLiteralExp object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Real Literal Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Real Literal Exp'.
  See Also:
    `doSwitch(EObject)`

### caseStringLiteralExp

    public Object caseStringLiteralExp(StringLiteralExp object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'String Literal Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'String Literal Exp'.
  See Also:
    `doSwitch(EObject)`

### caseTupleLiteralExp

    public Object caseTupleLiteralExp(TupleLiteralExp object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Tuple Literal Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Tuple Literal Exp'.
  See Also:
    `doSwitch(EObject)`

### caseTupleLiteralPart

    public Object caseTupleLiteralPart(TupleLiteralPart object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Tuple Literal Part'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Tuple Literal Part'.
  See Also:
    `doSwitch(EObject)`

### caseUnspecifiedValueExp

    public Object caseUnspecifiedValueExp(UnspecifiedValueExp object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Unspecified Value Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Unspecified Value Exp'.
  See Also:
    `doSwitch(EObject)`

### caseVariable

    public Object caseVariable(Variable object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Variable'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Variable'.
  See Also:
    `doSwitch(EObject)`

### caseVariableExp

    public Object caseVariableExp(VariableExp object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Variable Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Variable Exp'.
  See Also:
    `doSwitch(EObject)`

### caseAssociationClassCallExp

    public Object caseAssociationClassCallExp(AssociationClassCallExp object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Association Class Call Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Association Class Call Exp'.
  See Also:
    `doSwitch(EObject)`

### caseNullLiteralExp

    public Object caseNullLiteralExp(NullLiteralExp object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Null Literal Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Null Literal Exp'.
  See Also:
    `doSwitch(EObject)`

### caseInvalidLiteralExp

    public Object caseInvalidLiteralExp(InvalidLiteralExp object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Invalid Literal Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Invalid Literal Exp'.
  See Also:
    `doSwitch(EObject)`

### caseTypeExp

    public Object caseTypeExp(TypeExp object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Type Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Type Exp'.
  See Also:
    `doSwitch(EObject)`

### caseStateExp

    public Object caseStateExp(StateExp object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'State Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'State Exp'.
  See Also:
    `doSwitch(EObject)`

### caseOCLExpression

    public Object caseOCLExpression(OCLExpression object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'OCL Expression'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'OCL Expression'.
  See Also:
    `doSwitch(EObject)`

### caseMessageExp

    public Object caseMessageExp(MessageExp object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Message Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Message Exp'.
  See Also:
    `doSwitch(EObject)`

### caseEnumLiteralExp

    public Object caseEnumLiteralExp(EnumLiteralExp object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Enum Literal Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Enum Literal Exp'.
  See Also:
    `doSwitch(EObject)`

### caseEModelElement

    public Object caseEModelElement(EModelElement object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'EModel Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EModel Element'.
  See Also:
    `doSwitch(EObject)`

### caseENamedElement

    public Object caseENamedElement(ENamedElement object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'ENamed Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'ENamed Element'.
  See Also:
    `doSwitch(EObject)`

### caseVisitable

    public Object caseVisitable(Visitable object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Visitable'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Visitable'.
  See Also:
    `doSwitch(EObject)`

### caseASTNode

    public Object caseASTNode(ASTNode object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'AST Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'AST Node'.
  See Also:
    `doSwitch(EObject)`

### caseCallingASTNode

    public Object caseCallingASTNode(CallingASTNode object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Calling AST Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Calling AST Node'.
  See Also:
    `doSwitch(EObject)`

### caseTypedElement

    public Object caseTypedElement(TypedElement object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Typed Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Typed Element'.
  See Also:
    `doSwitch(EObject)`

### caseTypedASTNode

    public Object caseTypedASTNode(TypedASTNode object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Typed AST Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Typed AST Node'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public Object defaultCase(EObject object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EObject'.
  See Also:
    `doSwitch(org.eclipse.emf.ecore.EObject)`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.